Page MenuHomePhabricator

Add options for deleted pages to Pages Created tool
Closed, ResolvedPublic

Description

The live Pages Created tool is at https://xtools.wmflabs.org/pages
Example result for a user who had some of their pages deleted: https://xtools.wmflabs.org/pages/en.wikipedia.org/Matthewrbowker

The XTools code repository: https://github.com/x-tools/xtools

We should introduce a new dropdown for filtering deleted pages. The options should include:

  • "Include live and deleted pages" (this will be the default)
  • "Exclude deleted pages"
  • "Only include deleted pages"

The things that need updating:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 28 2017, 8:44 PM
MusikAnimal updated the task description. (Show Details)Jul 28 2017, 8:49 PM
MusikAnimal moved this task from Backlog to Other on the XTools board.
MusikAnimal renamed this task from Add option for deleted pages to Add options for deleted pages to Pages Created tool.Nov 15 2017, 9:50 PM
MusikAnimal updated the task description. (Show Details)
Restricted Application added a project: User-Matthewrbowker. · View Herald TranscriptNov 15 2017, 9:50 PM
MusikAnimal added a subscriber: MusikAnimal.

Myself and the XTools team are available for mentoring this task. You can find us on IRC in the #wikimedia-xtools channel.

MusikAnimal updated the task description. (Show Details)Nov 15 2017, 10:03 PM
MusikAnimal updated the task description. (Show Details)
MusikAnimal updated the task description. (Show Details)Nov 15 2017, 10:11 PM
MusikAnimal updated the task description. (Show Details)Nov 15 2017, 10:41 PM

@Aklapper I apparently don't have rights to view that task on the Google site. How can I get access? I created a mentor account and am logged in.

Also, would you mind clarifying what the difficulty levels the tasks should be? This one is probably less than a day for a new contributor, but I see at mw:Google Code-in/Mentors that we are measuring things by the number of days it will take. Thank you!

I apparently don't have rights to view that task on the Google site. How can I get access? I created a mentor account and am logged in.

Actually it might be a bug. I see a popup that's just completely white, and I see there is a JavaScript error when check the JS console. Closing the modal says "Your client does not have access to this page", but the URL is https://codein.withgoogle.com/tasks/ and not the one for that specific task.

[GCI only]
@MusikAnimal: You should be able to access https://codein.withgoogle.com/dashboard/tasks/5191017420554240/ ? The URL in T172003#3776241 will only work once the contest has started.
The days value is the student's deadline (including potential improvements to the first patch), not the actual amount of time needed to work on the task.
Difficulty levels: Anything that would take you max. 2-3h.
If you continue to run into technical difficulties, feel free to email me or Google at gci-support at google dot com.

I've submitted the Pull Request on GitHub: https://github.com/x-tools/xtools/pull/143

MusikAnimal moved this task from Other to Pending deployment on the XTools board.
MusikAnimal closed this task as Resolved.Dec 16 2017, 6:12 PM
MusikAnimal moved this task from Pending deployment to Complete on the XTools board.